import { Response } from './messages';
export declare const ERROR_NOT_HANDLED: number;
export declare const ERROR_HANDLER_FAILURE: number;
export declare const ERROR_CUSTOM: number;
export declare type RequestResult<U> = Thenable<U> | U;
export interface IRequestHandler<T, U extends Response> {
    (body?: T): RequestResult<U>;
}
export interface IEventHandler<T> {
    (body?: T): void;
}
export interface ILogger {
    error(message: string): any;
    log(message: string): any;
    info(message: string): any;
}
export declare function connectWorker(inputStream: NodeJS.ReadableStream, outputStream: NodeJS.WritableStream, logger: ILogger): WorkerConnection;
export declare function connectClient(inputStream: NodeJS.ReadableStream, outputStream: NodeJS.WritableStream, logger: ILogger): ClientConnection;
